# dopewars command line options

Once you have installed dopewars, you should be able to run the binary just by typing
`dopewars`
(unless you have installed the binary in a directory which is not in your path, in which case precede it with the path). Run without any options, the dopewars binary runs as a dopewars client.

Command line options can be used to configure common aspects of dopewars. More exhaustive configuration is possible by editing the dopewars configuration files; note, however, that command line options can be used to override some of these settings (also see the -g option below).

For a brief description of the command line options, specify the option -h with the command
`dopewars -h`
A list of all command line options is presented below. Please note that most options have a "short" format (e.g. -p) and a "long" format (e.g. --port). The "long" form is only available on systems that have GNU getopt; this excludes the Windows version.

-b, --no-color, --no-colour
  "Black and white". This tells the dopewars client (if that is what you're running) not to use coloured text (by default, colour is used if the terminal and curses support it).
-n, --single-player
  If running the client, run in single-player mode. Don't try to connect to any available dopewars servers.
-a, --antique
  Puts the client into "antique" mode; dopewars is derived from the earlier game for MS-DOS of the same name, which in turn was based on "Drug Wars" by John E. Dell. "Antique" mode aims to follow the behaviour of the MS-DOS dopewars closely, and consequently this entails single-player mode also.
-f file, --scorefile=file
  Specifies the path and name of the file used to store the dopewars high scores in; this can alternatively be specified in the configuration file with the HiScoreFile=file option. (N.B. This option cannot be used to get dopewars to open a high score file with privilege when running setuid/setgid; all privileges are dropped by this point for security.)
-o addr, --hostname=addr
  Gives the name of the machine running a dopewars server, in human readable (e.g. "nowhere.com") or dotted quad (e.g. 127.0.0.1) form. When the client is started, if not in single-player mode, it automatically attempts to connect to this server for a multiplayer game. This can also be specified with the Server=addr configuration file option.
-p port, --port=port
  Specifies the numeric port number which the server uses. This is usually 7902, but some servers may use other port numbers to avoid conflicts with other services running on the machine. If you are running the dopewars client, it will search for a server on this port; if you are running the server, it will bind to this port and wait for connections from clients (the clients must also be instructed to use this port, of course). This is equivalent to setting the port number with the Port=port configuration file option.
-s, --public-server
  Runs the dopewars server. This mediates multiplayer games of dopewars, and keeps track of high scores. Any player wishing to join the game hosted by this server must connect to your machine using the dopewars client and the port number which you have chosen, and can then interact with other players who have done the same thing. By default, a dopewars server will report its status to the metaserver, unless it is set otherwise in the configuration file.
-S, --private-server
  Also runs a dopewars server, but in this case does not report its status to the metaserver. This does not stop clients from connecting to your server, of course (unless it is behind a firewall, or the maximum number of clients is exceeded), but it makes it harder to find. The connection to the metaserver can also be disabled by adding MetaServer.Active=FALSE to the configuration files.
-A, --admin
  Connects to a dopewars server running on this machine, and allows server commands to be issued. Only the user that originally started the server (or the superuser) is permitted to do this. Only supported for the text-mode server on Unix systems.
-g file, --config-file=file
  Instructs dopewars to read setup information from the configuration file named by file. This file is read immediately - i.e. at the point at which the -g option is encountered - and so these settings will override any set in the default configuration files or by previous command line options. Command line options occurring after the -g option, or for that matter further -g options, that change these same settings, will then override them.
-r file, --pidfile=file
  Maintains a pid file with the specified name while the server is running. The file is a one-line text file, containing the process ID of the dopewars server process, and is deleted when the server quits.
-c, --ai-player
  Runs a computerised player. This will connect to the specifed dopewars server and join in the multiplayer game going on there. When the player finishes the game (or is eliminated by the other players or the server) the program finishes.
-w, --windowed-client
  If running a dopewars client, then this forces the use of a graphical user interface. Under Microsoft Windows, this is an "ordinary" window, while under Unix, this uses GTK+. If a suitable environment is not present (e.g. the binary was compiled without graphical support, or - in the case of GTK+ - you are not running X) then dopewars will quit with an error. By default, if neither -w or -t are specified, then a graphical user interface will be used where available, falling back to a text-mode client in case of error.
-t, --text-client
  When running a dopewars client, forces the use of a text-mode (curses or console mode) interface, even if graphics are available.
-P name, --player=name
  Sets the default player name.
-C file, --convert=file
  Converts a high score file from an older version of dopewars to the format used by the current version. The old high score file is replaced with a new file, and a backup copy of the old file is made. This conversion process is necessary since older versions of dopewars did not identify the high score files properly, so they cannot be automatically converted. (Such automatic conversion would also pose a security risk if the dopewars binary is running setgid.)
-u name, --plugin=name
  Uses the named plugin for sound output. Valid options are "none" (for no sound) plus any name registered by plugins found on your system. (These are currently "winmm" for the Windows multimedia system plugin, and "esd" and "sdl" for Unix plugins using the ESound and SDL libraries.) If no such option is given, the first valid sound plugin to be found is used.
-h, --help
  Displays a brief description of the available command line options, and contact details.
-v, --version
  Displays the current dopewars version number, and then exits.

- Main index

Last update: 02-06-2003
Valid XHTML 1.1